org.apache.maven.plugins.shade.filter

## Class MinijarFilter

- java.lang.Object
- - org.apache.maven.plugins.shade.filter.MinijarFilter

All Implemented Interfaces:
  Filter

    public class MinijarFilter
    extends Object
    implements Filter

A filter that prevents the inclusion of classes not required in the final jar.

Author:
  Torsten Curdt

### Constructor Summary

Constructors
Constructor and Description
`MinijarFilter(org.apache.maven.project.MavenProject project, org.apache.maven.plugin.logging.Log log)`
`MinijarFilter(org.apache.maven.project.MavenProject project, org.apache.maven.plugin.logging.Log log, List<SimpleFilter> simpleFilters)`

### Method Summary

Methods
`boolean` `canFilter(File jar)`
`void` `finished()`
`boolean` `isFiltered(String classFile)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MinijarFilter

    public MinijarFilter(org.apache.maven.project.MavenProject project,
                 org.apache.maven.plugin.logging.Log log)
                  throws IOException

Throws:
  `IOException`

#### MinijarFilter

    public MinijarFilter(org.apache.maven.project.MavenProject project,
                 org.apache.maven.plugin.logging.Log log,
                 List<SimpleFilter> simpleFilters)
                  throws IOException

Throws:
  `IOException`
Since:
  1.6

### Method Detail

#### canFilter

    public boolean canFilter(File jar)

Specified by:
  `canFilter` in interface `Filter`

#### isFiltered

    public boolean isFiltered(String classFile)

Specified by:
  `isFiltered` in interface `Filter`

#### finished

    public void finished()

Specified by:
  `finished` in interface `Filter`